petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMSetRefineLevel

Set's the number of refinements that have generated this DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMSetRefineLevel(DM dm,PetscInt level)

Not Collective

### Input Parameter

| dm | - the DM object
| level | - number of refinements

Notes: This value is used by PCMG to determine how many multigrid levels to use

### See Also

DMCoarsen(), DMGetCoarsenLevel(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

Level:advanced
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html